Bug 59587 - GUI boot loader UI issues
GUI boot loader UI issues
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 59749 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-02-10 16:46 EST by Chris Ricker
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-06 16:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-02-10 16:46:30 EST
Two user-interface issues with the GUI boot loader configuration.

* new dialog boxes (such as gotten by clicking on Add or Edit in the "Boot
Loader Configuration" section) have absolutely no border, making it impossible
to recognize them visually as pop-up dialog boxes.  That might be a general GTK2
issue for all I know....

* when adding an additional OS to boot, the dialog box asks for a label and a
device.  Although it's not clear from the UI, the device name expected is the
instance (eg, hda1), not the actual device path (eg, /dev/hda1).  I didn't
realize this, and wound up entering /dev/hda1 and so forth in the box, which
results in configs which reference /dev//dev/hda1.  I like the idea of the
interface automatically inserting /dev/, but I think it should make it clear
that it is doing so.  This could be done by using /dev/ as a label before the
dialog entry, something like:


which should help avoid confusion
Comment 1 Jeremy Katz 2002-02-11 01:15:08 EST
Added the shadow on the dialogs... the confusion about devices on the dialog is
eventually to be resolved with a dropdown selection instead of requiring you to
type it
Comment 2 Michael Fulbright 2002-02-12 12:24:17 EST
*** Bug 59749 has been marked as a duplicate of this bug. ***
Comment 3 Jay Turner 2002-03-19 14:39:47 EST
Deferring this until the next release.
Comment 4 Jeremy Katz 2002-05-06 16:55:24 EDT
Changed device entry to be a dropdown menu listing all partitions on your system
Comment 5 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.